%define upstream_name    Data-RandomPerson
%define upstream_version 0.51

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Select an element from a list in proportion
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Date::Calc)
BuildRequires: perl(Data::Random)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Share)
BuildRequires: perl(File::ShareDir::Install)
BuildArch: noarch

%description
Overview
    Returns an object that can be used to create random people and return
    the data in a hash. The data is a hash reference with the following
    keys:

    * gender

      This is either 'm' or 'f'

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.510.0-4pclos2017
- rebuild against updates

